com.hazelcast.core

## Enum DistributedObjectEvent.EventType

- java.lang.Object
- - java.lang.Enum<DistributedObjectEvent.EventType>
  - - com.hazelcast.core.DistributedObjectEvent.EventType

- All Implemented Interfaces:
    Serializable, Comparable<DistributedObjectEvent.EventType>
  Enclosing class:
    DistributedObjectEvent

      public static enum DistributedObjectEvent.EventType
      extends Enum<DistributedObjectEvent.EventType>

  Type of the DistributedObjectEvent.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATED` Event if a DistributedObjectEvent is created.
    `DESTROYED` Event if a DistributedObjectEvent is destroyed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DistributedObjectEvent.EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DistributedObjectEvent.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATED

          public static final DistributedObjectEvent.EventType CREATED

      Event if a DistributedObjectEvent is created.

    - #### DESTROYED

          public static final DistributedObjectEvent.EventType DESTROYED

      Event if a DistributedObjectEvent is destroyed.

  - ### Method Detail

    - #### values

          public static DistributedObjectEvent.EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DistributedObjectEvent.EventType c : DistributedObjectEvent.EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DistributedObjectEvent.EventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019. All rights reserved.